### 2.1 `cabs`, `cabsf`, `cabsl`—complex absolute-value

Synopsis

         #include <complex.h>
         double cabs(double complex z);
         float cabsf(float complex z);
         long double cabsl(long double complex z);

Description
These functions compute compute the complex absolute value (also called norm, modulus, or magnitude) of z.

`cabsf` is identical to `cabs`, except that it performs its calculations on `float complex`.

`cabsl` is identical to `cabs`, except that it performs its calculations on `long double complex`.

Returns
The cabs* functions return the complex absolute value.

Portability
`cabs`, `cabsf` and `cabsl` are ISO C99